Daniel Morrison

sqlite3-ruby and brew issues

I’ve had a terrible time lately getting new versions of sqlite3-ruby to install properly. I have sqlite installed via homebrew but it wasn’t building right. Here’s the trick:

gem install sqlite3-ruby -- --with-sqlite3-include=/usr/local/homebrew/include --with-sqlite3-lib=/usr/local/homebrew/lib

2 Comments

  1. Surafel — August 31, 2014

    Hey, thanks for your video on youtube and everything out there. Its helpful but I still have problems with the bundle installer. I dont know why it kept showing me failure. Its not something I could download and install right? (it has to be through the command prompt only)

  2. hill climb racing — February 18, 2020

    for me, that’s good enough although there are some issues like you have said but I can handle it

Make a Comment